#!/bin/sh -efu

##
# INFO
#
# Fetch and run xCAT post installation part.
#
# This hook attended to run only at compute nodes autoinstallation process under xCAT directions.
#
# $POSTSCRIPT:
#   * script located at xCAT managment node.
#   * generated from template by xCAT for concrete node.
#   * located at metadata directory, specified by `curl=' option in boot config file.

. install2-init-functions

# Check for xCAT auto installation
cmdline_has_arg xcat || exit 0

POSTSCRIPT="xcat-post.sh"
cd /tmp

cp-metadata "$POSTSCRIPT"           || :
[ -r "/tmp/$POSTSCRIPT" ]           || fatal "Can't fetch $POSTSCRIPT from metadata directory"

cp "/tmp/$POSTSCRIPT" "$destdir/tmp"
chmod 755 "$destdir/tmp/$POSTSCRIPT"
exec_chroot "/tmp/$POSTSCRIPT"      || :
